#pragma once

#include <stdint.h>

#define PIN_LEDS1 PIN_PA14
#define PIN_LEDS2 PIN_PA09
#define PIN_LEDS3 PIN_PA08
#define PIN_LEDS4 PIN_PA05

typedef struct {
  const uint8_t pin_high;
  const uint8_t pin_low;
} led_t;

void leds_turn_on(uint8_t pos);
void leds_turn_off(uint8_t pos);
void leds_toggle(uint8_t pos);
void leds_draw();
void leds_set_pins(led_t l);
void leds_reset();
